commit 8b73543b772e07f55821f486dfe9d0b73328bbfa
Author: Jakub Smid <jaksmid@seznam.cz>
Date:   Tue May 10 21:46:39 2022 +0200

    Added new source file with catalog items
    
    re #9750

diff --git a/backend/src/main/java/cz/zcu/kiv/backendapi/config/CorsConfig.java b/backend/src/main/java/cz/zcu/kiv/backendapi/config/CorsConfig.java
index 7746785..18bffd8 100644
--- a/backend/src/main/java/cz/zcu/kiv/backendapi/config/CorsConfig.java
+++ b/backend/src/main/java/cz/zcu/kiv/backendapi/config/CorsConfig.java
@@ -14,6 +14,6 @@ public class CorsConfig implements WebMvcConfigurer {
     public void addCorsMappings(CorsRegistry registry) {
         registry.addMapping("/**")
                 .allowedOrigins("*")
-                .allowedMethods("GET", "POST", "DELETE", "PUT", "OPTIONS");
+                .allowedMethods("GET", "POST", "DELETE", "PUT", "PATCH");
     }
 }
diff --git a/backend/src/main/java/cz/zcu/kiv/backendapi/config/DataInitiator.java b/backend/src/main/java/cz/zcu/kiv/backendapi/config/DataInitiator.java
index ffa9aee..bef823e 100644
--- a/backend/src/main/java/cz/zcu/kiv/backendapi/config/DataInitiator.java
+++ b/backend/src/main/java/cz/zcu/kiv/backendapi/config/DataInitiator.java
@@ -66,7 +66,7 @@ public class DataInitiator implements ApplicationListener<ContextRefreshedEvent>
 
     private List<CatalogItem> loadCatalog() {
         List<CatalogItem> catalogEntities = new ArrayList<>();
-        InputStream csvData = getClass().getClassLoader().getResourceAsStream("AssyrianProject-AllNoDupl-22-03-28.csv");
+        InputStream csvData = getClass().getClassLoader().getResourceAsStream("22-05-09-AssyrianProject-AllNoDupl.csv");
 //        File csvData = new File("AssyrianProject-AllNoDupl-22-03-28.csv");
         CSVParser parser;
         try {
